Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.eis.adapters.attunity
Class AttunityConnectionSpec

`java.lang.Object
oracle.toplink.eis.EISConnectionSpec
oracle.toplink.eis.adapters.attunity.AttunityConnectionSpec`

All Implemented Interfaces:
  java.lang.Cloneable, Connector, java.io.Serializable

public class AttunityConnectionSpec
extends EISConnectionSpec

Provides the behavoir of instantiating a Attunity Connect ConnectionSpec if a username/password was specified in the login.

Since:
  OracleAS TopLink 10g (10.0.3)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `EIS_NAME`
`static java.lang.String` | `KEEP_ALIVE`
`static java.lang.String` | `PORT_NUMBER`
`static java.lang.String` | `SERVER_NAME` Attuntiy connection spec properties.
`static java.lang.String` | `WORKSPACE`

Fields inherited from class oracle.toplink.eis.EISConnectionSpec
`PASSWORD, USER`

Constructor Summary
`AttunityConnectionSpec()` PUBLIC: Construct a AttunityConnectionSpec with no settings.
`AttunityConnectionSpec(javax.resource.cci.ConnectionFactory connectionFactory)` PUBLIC: Construct a AttunityConnectionSpec with the connectionFactory.

Method Summary
`javax.resource.cci.Connection` | `connectToDataSource(EISAccessor accessor, java.util.Properties properties)` Connect with the specified properties and return the Connection.

Methods inherited from class oracle.toplink.eis.EISConnectionSpec
`getConnectionDetails, getConnectionFactory, getConnectionSpec, getContext, getLog, getName, setConnectionFactory, setConnectionSpec, setContext, setLog, setName, setName, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVER_NAME

    public static java.lang.String SERVER_NAME

  Attuntiy connection spec properties.

### PORT_NUMBER

    public static java.lang.String PORT_NUMBER

### EIS_NAME

    public static java.lang.String EIS_NAME

### KEEP_ALIVE

    public static java.lang.String KEEP_ALIVE

### WORKSPACE

    public static java.lang.String WORKSPACE

Constructor Detail

### AttunityConnectionSpec

    public AttunityConnectionSpec()

  PUBLIC: Construct a AttunityConnectionSpec with no settings. The connection properties will still need to be set.

### AttunityConnectionSpec

    public AttunityConnectionSpec(javax.resource.cci.ConnectionFactory connectionFactory)

  PUBLIC: Construct a AttunityConnectionSpec with the connectionFactory.

Method Detail

### connectToDataSource

    public javax.resource.cci.Connection connectToDataSource(EISAccessor accessor,
                                                             java.util.Properties properties)
                                                      throws DatabaseException,
                                                             ValidationException

  Connect with the specified properties and return the Connection.
  Overrides:
    `connectToDataSource` in class `EISConnectionSpec`
  Throws:
    `DatabaseException`
    `ValidationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD